Skip to main content
GET
/
sites
/
{id}
Retrieve a site
curl --request GET \
  --url https://api.flatpeak.com/sites/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "ste_641b90b758fb8e6293716e40",
  "object": "site",
  "live_mode": true,
  "status": "ACTIVE",
  "devices": [
    {
      "id": "dev_63a6087272941ef077a8fd3e",
      "manufacturer": "Nova Systems",
      "model_code": "PICOXN2",
      "model_name": "Pico Ultimate",
      "time_created": "2022-01-24T14:15:22Z",
      "properties": {
        "power_rating_import_kwh": 14.2,
        "capacity_kwh": 123,
        "power_rating_export_kwh": 7
      },
      "last_seen": "2022-03-22T11:12:21Z"
    }
  ],
  "time_created": "2026-02-12T10:00:00Z",
  "account_id": "acc_661677911f2197045e6cf1b1"
}

Documentation Index

Fetch the complete documentation index at: https://docs.flatpeak.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate with bearer you obtained from authentication endpoint.

Path Parameters

id
string
required

Flatpeak location_id

Example:

"loc_d47751032d2748d2bce8ec55b2006def"

Response

Example response

id
string

Flatpeak Site ID

Example:

"ste_641b90b758fb8e6293716e40"

object
string

Flatpeak object tyle, e.g. site.

Example:

"site"

live_mode
boolean

Set true for live mode objects

status
string

Indicates status of the site. Possible values are ACTIVE and INACTIVE.

Example:

"ACTIVE"

devices
Device · object[]
time_created
string<date-time>

Time when the object was created, in UTC.

Example:

"2026-02-12T10:00:00Z"

account_id
string

Your Flatpeak Account ID

Example:

"acc_661677911f2197045e6cf1b1"